// ToolsDlg.cpp : implementation file
//

#include "stdafx.h"
#include "mdimap.h"
#include "ToolsDlg.h"
#include "MapFrm.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CToolsDlg dialog


CToolsDlg::CToolsDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CToolsDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CToolsDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CToolsDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CToolsDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CToolsDlg, CDialog)
	//{{AFX_MSG_MAP(CToolsDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

void CToolsDlg::Paint()
{
	//We need the window frames redrawn
	RedrawWindow( NULL, NULL, RDW_INVALIDATE | RDW_UPDATENOW);

	CMapFrame* pParent = STATIC_DOWNCAST(CMapFrame, GetParentFrame());
}
